summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD24
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ab278b6447b
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = python2-goobook
+ pkgdesc = Search your google contacts from the command-line or mutt.
+ pkgver = 1.9
+ pkgrel = 1
+ url = https://gitlab.com/goobook/goobook
+ arch = any
+ license = GPLv3
+ makedepends = python2-setuptools
+ depends = python2
+ depends = python2-gdata
+ depends = python2-simplejson
+ depends = python2-keyring
+ source = https://pypi.python.org/packages/source/g/goobook/goobook-1.9.tar.gz
+ md5sums = 41f2246336ea713591e7d912d9d05193
+
+pkgname = python2-goobook
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..34c637c2ffe
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Wang Jiajun <amesists AT gmail DOT com>
+pkgname=python2-goobook
+_pkgname=goobook
+pkgver=1.9
+pkgrel=1
+pkgdesc="Search your google contacts from the command-line or mutt."
+url="https://gitlab.com/goobook/goobook"
+arch=('any')
+license=('GPLv3')
+depends=('python2' 'python2-gdata' 'python2-simplejson' 'python2-keyring')
+makedepends=('python2-setuptools')
+source=("https://pypi.python.org/packages/source/g/${_pkgname}/${_pkgname}-${pkgver}.tar.gz")
+md5sums=('41f2246336ea713591e7d912d9d05193')
+
+build() {
+ cd "${srcdir}"/${_pkgname}-${pkgver}
+ sed -ie '58s/distribute/setuptools/' setup.py || return 1
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd "${srcdir}"/${_pkgname}-${pkgver}
+ python2 setup.py install --root=$pkgdir || return 1
+}